Package org.apache.catalina.servlets

## Class DefaultServlet.CompressionFormat

- java.lang.Object
- - org.apache.catalina.servlets.DefaultServlet.CompressionFormat

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  DefaultServlet

    protected static class DefaultServlet.CompressionFormat
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`java.lang.String` `encoding`
`java.lang.String` `extension`

### Constructor Summary

Constructors
`CompressionFormat​(java.lang.String extension, java.lang.String encoding)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### extension

    public final java.lang.String extension

#### encoding

    public final java.lang.String encoding

### Constructor Detail

#### CompressionFormat

    public CompressionFormat​(java.lang.String extension,
                             java.lang.String encoding)